* {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    flex-shrink: 0;
    font-family: PingFang SC, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans,
        Droid Sans, Helvetica Neue, sans-serif;
}

.h5-show {
    display: none !important;
}

html {
    color: #222222;
    font-size: 16px;
}

a {
    cursor: pointer;
}

button {
    padding: 8px 10px;
    background-color: #278be8;
    border: 1px solid #278be8;
    color: #ffffff;
    border-radius: 3px;
    display: block;
    cursor: pointer;
}

button[data-normal] {
    background-color: #ffffff;
    color: #278be8;
}

button:hover {
    opacity: 0.8;
}

button[data-f] {
    border-radius: 6px;
    border-color: #ffffff;
    background: linear-gradient(100deg, #99ec93, #0098c4, #278be8);
}

.flex-c {
    display: flex;
    align-items: center;
    justify-content: center;
}

.flex-c-b {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.gap {
    height: 16px;
    border-left: 1px solid currentColor;
}

.app-mid {
    padding: 0px max(calc(50vw - 600px), 10px);
    min-width: 1200px;
}

.conetnt-box {
    padding-top: 90px;
    padding-bottom: 90px;
}

nav {
    position: sticky;
    top: 0px;
    z-index: 1099;
}

.nav-bar {
    position: relative;
    margin: 0 auto;
    height: 60px;
    border-bottom: 1px solid #f2f2f2;
    background-color: #ffffff;
    z-index: 2;
}

.nav-bar>div:first-child {
    transform: translateX(-30px)
}
.nav-bar>div:last-child {
    transform: translateX(30px)
}

.nav-bar img {
    height: 44px;
}

.nav-links {
    gap: 40px;
}
.nav-bar .nav-links div {
    border-bottom: 2px solid transparent;
    height: 60px;
    display: flex;
    align-items: center;
}
.nav-links div {
    cursor: pointer;
}
.nav-links div[data-more] {
    gap: 10px;
}
.nav-links div[data-more]::after {
    content: "";
    width: 6px;
    height: 6px;
    border-top: 1px solid currentColor;
    border-right: 1px solid currentColor;
    transform: rotate(135deg) translateY(3px);
    display: block;
}
.nav-links div:hover {
    color: #278be8;
}

.nav-more {
    position: fixed;
    top: 10px;
    width: 100vw;
    height: 50px;
    border-bottom: 1px solid #f2f2f2;
    background-color: #ffffff;
    z-index: 1;
    transition: transform 0.3s;
}

.nav-more .flex-c {
    height: 50px;
    gap: 40px;
}

.nav-more div[data-route] {
    padding: 8px 16px;
    border-radius: 3px;
    cursor: pointer;
}
.nav-more div[data-route]:hover {
    color: #278be8;
    background-color: #e9f3ff;
}

footer {
    width: fit-content;
    min-width: 100%;
    background-color: #262d43;
    color: #ffffff;
}

footer p {
    color: #a8abb4;
    font-size: 13px;
}

.footer-copy {
    text-align: center;
    padding: 20px 0px;
}

.footer-info {
    padding: 40px 0px;
    border-top: 1px solid;
    border-bottom: 1px solid;
    border-color: #31374a;
}

h2 {
    font-size: 42px;
    line-height: 59px;
    text-align: center;
}

.footer-info-item p {
    cursor: pointer;
    max-width: 150px;
}

.footer-info p:hover {
    color: #ffffff;
}

.footer-info-item {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.app-main {
    min-width: 100%;
    min-width: 1200px;
    position: relative;
    color: #ffffff;
}

.app-main h1 {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: max(calc(50vw - 600px), 10px);
    font-size: 53px;
    line-height: 72px;
}

.app-main img {
    width: 100%;
}

p[data-p] {
    padding-left: 14px;
    position: relative;
    line-height: 24px;
}
p[data-p]::before {
    content: "";
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: #bfbfbf;
    display: block;
    position: absolute;
    top: 8px;
    left: 4px;
}

.detail-tab {
    gap: 50px;
    height: 60px;
    border-bottom: 1px solid #d9dbe1;
    display: flex;
    justify-content: center;
}

.detail-tab div {
    height: 61px;
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 18px;
    cursor: pointer;
    border-bottom: 2px solid transparent;
}

.detail-tab div:hover {
    color: #388cf2;
}

@keyframes Show {
    from {
        transform: translateY(-5px);
        opacity: 0;
    }

    to {
        transform: translateY(0px);
        opacity: 1;
    }
}

.detail-item {
    display: none;
    align-items: center;
    justify-content: space-between;
    margin: 30px 0px;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    height: 500px;
    border-radius: 6px;
    animation: Show linear forwards 0.3s;
}

.detail-item > img {
    width: 460px;
    height: auto;
}

.detail-item-point {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    background-color: #f4f9fe;
    width: 300px;
    height: 500px;
    padding: 40px 0px;
}

.detail-item-point div {
    display: flex;
    align-items: center;
    gap: 10px;
    padding-left: 40px;
}

.detail-item-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    height: 500px;
    width: 320px;
    padding-right: 40px;
}
.detail-item-info h3 {
    font-size: 18px;
}

.detail-item-info div {
    line-height: 28px;
}

.ys {
    height: 420px;
    background: url(/assets/yb.png);
}

.ys h2 {
    color: #ffffff;
    padding-top: 100px;
}

.ys-box {
    background-color: #f3f8fd;
}

.ys-box > div {
    height: 580px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
    justify-content: baseline;
    background-color: #ffffff;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    border-radius: 12px;
    justify-items: center;
    transform: translateY(-150px);
}

.ys-box em {
    width: 63px;
    height: 63px;
    display: block;
    background-position: center !important;
    background-repeat: no-repeat !important;
}

.ys-box > div > div {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    width: 100px;
    line-height: 20px;
    height: 120px;
    gap: 10px;
}

.filter {
    margin: 30px 0px;
    border-radius: 12px;
    padding: 0px 20px;
}

.filter-item {
    display: flex;
    align-items: center;
    height: 60px;
    gap: 30px;
    flex-wrap: wrap;
}

.filter-item h4 {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100px;
    height: 40px;
    border-radius: 4px;
    background: linear-gradient(180deg, rgba(210, 233, 254, 1) 0%, rgba(243, 249, 255, 1) 100%);
}

.filter-item div {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100px;
    border-radius: 4px;
    cursor: pointer;
    height: 40px;
}

.filter-item div:hover {
    background-color: #f7f8fa;
}

.filter-active {
    background-color: #388cf2 !important;
    color: #ffffff;
}

.arrow-right {
    width: 6px;
    height: 6px;
    border-top: 1px solid currentColor;
    border-right: 1px solid currentColor;
    transform: rotate(45deg);
}

.page {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;
    gap: 80px;
}

#pageup {
    padding: 8px 16px;
    color: #278be8;
    background-color: #ecf5fd;
    border-radius: 6px;
    border-color: transparent;
}

#pagedown {
    padding: 8px 16px;
    border-radius: 6px;
}

.app-mid h2 {
    font-size: 30px;
}

.fun {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px max(calc(50vw - 600px), 10px);
    min-width: 1200px;
    margin-bottom: 50px;
    opacity: 0;
    transform: translateY(30px);
    transition: all 0.2s linear;
    margin: 50px 0px;
}

.fun-show {
    opacity: 1;
    transform: translateY(0px);
}

.fun > img {
    width: 600px;
}

.fun > img[data-offset] {
    transform: translateX(attr(data-offset px));
}

.fun > div {
    width: 550px;
}
.fun > div[data-pr] {
    padding-right: attr(data-pr px);
}
.fun > div[data-pl] {
    padding-left: attr(data-pl px);
}

.fun h1 {
    font-size: 24px;
    margin-bottom: 16px;
}
.fun h4 {
    font-size: 14px;
    margin-bottom: 16px;
    color: #787878;
    font-weight: 400;
}
.fun h1 span {
    font-size: 16px;
    font-weight: 400;
}
.fun p {
    margin: 8px 0px;
    line-height: 28px;
}
.fun-tag {
    padding: 5px 10px;
    border-radius: 15px;
    border: 1px solid #388cf2;
    color: #388cf2;
    font-size: 14px;
}
.fun p[data-p]::before {
    width: 6px;
    height: 6px;
    border-radius: 50%;
    left: 0;
    top: 10px;
    background-color: #278be8;
    /* clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
    background-color: #a1bdff; */
}

.fun button {
    margin-top: 20px;
    border-radius: 3px;
    width: 182px;
    height: 46px;
    font-size: 18px;
}

.lin {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.lin > div {
    display: flex;
    align-items: center;
    gap: 10px;
    width: 180px;
    height: 60px;
}

.p-t p {
    text-indent: 2em;
    font-size: 16px;
    line-height: 32px;
}

.app-ai-nav {
    height: 60px;
    color: #ffffff;
    padding: 0px 20px;
}

.app-ai-btn {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    cursor: pointer;
}
.app-ai-btn:hover {
    background-color: #e83323;
}

.app-aside-ai {
    width: 500px;
    height: 600px;
    background-color: #121212;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    border-radius: 6px;
    position: fixed;
    top: 50%;
    right: 10px;
    z-index: 999;
    border-radius: 15px;
    overflow: hidden;
    transform: translateY(-50%) translateX(300px);
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s;
}

.app-aside-ai-show {
    transform: translateY(-50%) translateX(0px);
    opacity: 1;
    pointer-events: unset;
}

.app-aside {
    width: 80px;
    background-color: #ffffff;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 30%;
    right: 10px;
    flex-direction: column;
    padding: 5px 0px;
    gap: 5px;
}

.app-aside > a,
.app-aside > div {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    width: 70px;
    height: 70px;
    cursor: pointer;
    font-size: 12px;
    border-radius: 6px;
}

.app-aside > a:hover,
.app-aside > div:hover {
    background-color: #f7f8fa;
    color: #388cf2;
}
.app-aside > a > div,
.app-aside > div > div {
    pointer-events: none;
}
.app-aside svg {
    font-size: 24px;
    pointer-events: none;
}

.overlay {
    position: absolute;
    opacity: 0;
    pointer-events: none;
    right: 70px;
    padding-right: 20px;
}

.app-aside > a:hover .overlay,
.app-aside > div:hover .overlay {
    opacity: 1;
    pointer-events: unset;
}

.overlay > div {
    white-space: nowrap;
    padding: 15px;
    border-radius: 6px;
    background-color: #ffffff;
    z-index: 99;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    position: relative;
}

.overlay > div::after {
    content: "";
    display: block;
    width: 12px;
    height: 12px;
    background-color: #ffffff;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    right: -5px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
}

.overlay h4 {
    color: #222222;
    line-height: 24px;
    font-size: 16px;
}

.overlay p {
    color: #787878;
    margin-top: 10px;
}

.crumb {
    display: flex;
    height: 50px;
    gap: 10px;
    background: #f4f9fe;
    align-items: center;
    overflow: hidden;
}

.crumb a {
    color: #278be8;
}

.page-empty {
    width: 100%;
    display: block;
    text-align: center;
}

.page-empty img {
    width: 90%;
    max-width: 600px;
    position: static !important;
}


.fun-switch img,
.fun-switch p {
    display: none;
}

.fun-switch p {
    flex: 1;
    min-width: 0;
    line-height: 24px;
    align-self: flex-start;
    padding-top: 30px;
}

/* .fun-switch p:nth-of-type(1) {
    transform: translateY(-100px);
}
.fun-switch p:nth-of-type(4) {
    transform: translateY(80px);
} */

.fun-switch {
    height: 350px;
}

.fun-tab {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 240px;
    height: 300px;
    margin-right: 30px;
}

.fun-tab div {
    transition: width 0.3s;
    font-style: normal;
    width: 95%;
    height: 45px;
    line-height: 45px;
    text-align: center;
    cursor: pointer;
    background-color: #ffffff;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
}

.fun-tab div.fun-active {
    width: 100%;
    color: #ffffff;
    background: linear-gradient(162deg, rgba(235,241,252,1) 0%, rgba(137,185,245,1) 32%, rgba(76,150,241,1) 60%, rgba(68,146,241,1) 83%, rgba(56,140,242,1) 100%);
    clip-path: polygon(95% 0, 95% 35%, 100% 50%, 95% 65%, 95% 100%, 0 100%, 0 0);
}

.fun-title {
    display: block !important;
    text-align: center;
    margin-top: 150px;
}